Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226056

Summary: Merge Review: libvorbis
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Matthias Clasen <mclasen>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bdpepple, behdad
Target Milestone: ---Flags: bdpepple: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-08-11 01:30:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nobody's working on this, feel free to take it 2007-01-31 19:28:44 UTC
Fedora Merge Review: libvorbis

http://cvs.fedora.redhat.com/viewcvs/devel/libvorbis/
Initial Owner: besfahbo@redhat.com

Comment 1 Brian Pepple 2007-02-03 19:26:10 UTC
Good:
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* All paths begin with macros
* All necessary BuildRequires listed.
* Package builds in Mock.

Must Fix:
* The devel package require should be:
Requires: libvorbis = %{epoch}:%{version}-%{release}
* Should use BuildRequires, instead of BuildPrereq for libogg
* rpmlint gives the following error:
 E: libvorbis-devel obsolete-not-provided vorbis-devel
* Is the static lib necessary?  If so, it should be split out into a
sub-package.  Refer to:
http://fedoraproject.org/wiki/Packaging/Guidelines#head-2302ec1e1f44202c9cc4bcce24cb711266557ad7

Minor:
* Doesn't use preferred buildroot:
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* Drop the '.' from the summary to quite rpmlint.
* Does this package build using 'make %{_smp_mflags}'?
* rpmlint warnings:
 W: libvorbis-devel wrong-file-end-of-line-encoding
/usr/share/doc/libvorbis-devel-1.1.2/floor1_inverse_dB_table.html
W: libvorbis-devel wrong-file-end-of-line-encoding
/usr/share/doc/libvorbis-devel-1.1.2/framing.html
W: libvorbis-devel wrong-file-end-of-line-encoding
/usr/share/doc/libvorbis-devel-1.1.2/v-comment.html
W: libvorbis-devel wrong-file-end-of-line-encoding
/usr/share/doc/libvorbis-devel-1.1.2/helper.html
W: libvorbis-devel wrong-file-end-of-line-encoding
/usr/share/doc/libvorbis-devel-1.1.2/vorbis-fidelity.html
W: libvorbis-devel wrong-file-end-of-line-encoding
/usr/share/doc/libvorbis-devel-1.1.2/stereo.html
W: libvorbis-devel wrong-file-end-of-line-encoding
/usr/share/doc/libvorbis-devel-1.1.2/programming.html
W: libvorbis-devel wrong-file-end-of-line-encoding
/usr/share/doc/libvorbis-devel-1.1.2/oggstream.html
W: libvorbis-devel wrong-file-end-of-line-encoding
/usr/share/doc/libvorbis-devel-1.1.2/vorbisfile/fileinfo.html
W: libvorbis-devel wrong-file-end-of-line-encoding
/usr/share/doc/libvorbis-devel-1.1.2/vorbis.html
W: libvorbis-devel wrong-file-end-of-line-encoding
/usr/share/doc/libvorbis-devel-1.1.2/index.html
W: libvorbis-devel wrong-file-end-of-line-encoding
/usr/share/doc/libvorbis-devel-1.1.2/vorbisfile/seeking.html


Comment 2 Matthias Clasen 2007-02-08 17:12:56 UTC
* Thu Feb  8 2007 Matthias Clasen <mclasen@redhat.com> - 1:1.1.2-2
- Package review cleanups
- Don't ship static libraries

Comment 3 Matthias Clasen 2007-04-11 11:14:09 UTC
Brian, anything left here ?

Comment 4 Brian Pepple 2007-04-11 17:17:38 UTC
Nope, you changes look fine.

Comment 5 Matthias Clasen 2007-08-11 01:30:04 UTC
Review done.